<html><head><title>Solar Monitoring</title>
<meta http-equiv='refresh' content='15'>

<script language="Javascript" src="js/gauge.min.js">
var gauge = new RadialGauge({
	renderTo: 'canvas-id',
	valueBox:'true'
	

	
}).draw();

</script>


</head><body>

<?php
//Written by Wade Elmore 
//Written for RaspberryPi running Jessie OS and Apache and PHP
//Questions, comments and suggestions welcome via email to wade_elmore@comcast.net
//This text, code and /or program(s) is intended for non commerical use.  It free ware.
//This text, code and /or program(s) is offered without warranty of any kind.
//Use this text, code and /or program(s) at your own risk.
//Revised 1710141935

//This program requires 'Logging.php' to be running and creating the "current.txt' file.


$dir = "Data/";  //Location of data files, as viewed from this file's location.
$ClassicData[60];

//Load data saved by Logging.php
$Tagf = fopen ($dir."current.txt","r");
	$Dlog_Data = fgetcsv($Tagf); //Daily high/low of selected registers.
	$ClassicData = fgetcsv($Tagf); //Selected Classis registers
	$AX1 = fgetcsv($Tagf);	//Classic 1 AUX info
	$AX2 = fgetcsv($Tagf);	//Classic 2 AUX info
fclose($Tagf);

$capacity = ($ClassicData[26] / $ClassicData[27])*100;
$updated=$ClassicData[0];
echo('<table BORDER=2 WIDTH=100%>');
echo('<TH colspan=12>Solar Monitoring</TH>');
echo('<TR><TD colspan=12 ALIGN="center">Update at '.$updated[0].$updated[1].':'.$updated[2].$updated[3].':'.$updated[4].$updated[5].'</TH>');
//Batttery - Temperature
	echo('<TR><TH colspan=8 ALIGN="CENTER">Battery</TH><TH colspan=4 ALIGN="CENTER"> Temperature');
	echo('<tr><TD><TD>Volts<TD>Amps<TD>Charge %<TD>Mode<TD>Float<TD>Absorb<TD>Equalize<TD>Battery<TD>FET<TD>PCB<TD>WB');
//Solar 1
	echo('<tr><TD>Solar 1<TD>'.number_format($ClassicData[1],$decimals=1));
	echo('<TD>'.number_format($ClassicData[23],$decimals=1).'<TD>'.number_format($capacity,$decimals=1));
	echo('<TD>'.$ClassicData[6].'<TD>'.$Dlog_Data[10].'<TD>'.$Dlog_Data[12].'<TD>'.$Dlog_Data[14]);
//temperature	
	echo('<TD>'.number_format($ClassicData[12],$decimals=1).'<TD>'.number_format($ClassicData[13],$decimals=1));
	echo('<TD>'.number_format($ClassicData[14],$decimals=1).'<TD>'.number_format($ClassicData[24],$decimals=1));
//Solar 2
	echo('<tr><TD>Solar 2<TD>'.number_format($ClassicData[28],$decimals=1));
	echo('<TD><TD><TD>'.$ClassicData[33].'<TD>'.$Dlog_Data[11].'<TD>'.$Dlog_Data[13].'<TD>'.$Dlog_Data[15]);
//temperature
	echo('<TD>'.number_format($ClassicData[39],$decimals=1).'<TD>'.number_format($ClassicData[40],$decimals=1));
	echo('<TD>'.number_format($ClassicData[41],$decimals=1));
//Solar Arrays
	echo('<TR><TH colspan=9 ALIGN="CENTER">Solar Arrays</TH>');
	echo('<tr><TD><TD>V in<TD>A in<TD>A out<TD>Watts<TD>kWhr<TD>T kWhr<TD>Ahr<TD>T Ahr');
//Solar 1
	echo('<tr><TD>Solar 1<TD>'.number_format($ClassicData[2],$decimals=1).'<TD>'.number_format($ClassicData[7],$decimals=1));
	echo('<TD>'.number_format($ClassicData[3],$decimals=1).'<TD>'.number_format($ClassicData[5],$decimals=1));
	echo('<TD>'.$Dlog_Data[5].'<TD>'.$ClassicData[10].'<TD>'.$Dlog_Data[7].'<TD>'.$ClassicData[11]);
//Solar 2
	echo('<tr><TD>Solar 2<TD>'.number_format($ClassicData[29],$decimals=1).'<TD>'.number_format($ClassicData[34],$decimals=1));
	echo('<TD>'.number_format($ClassicData[30],$decimals=1).'<TD>'.number_format($ClassicData[32],$decimals=1));
	echo('<TD>'.$Dlog_Data[6].'<TD>'.$ClassicData[37].'<TD>'.$Dlog_Data[8].'<TD>'.$ClassicData[38]);
//Totals
	echo('<tr><TD>Total<TD><TD>'.number_format(($ClassicData[7]+$ClassicData[34]),$decimals=1));
	echo('<TD>'.number_format(($ClassicData[3]+$ClassicData[30]),$decimals=1));
	echo('<TD>'.number_format(($ClassicData[5]+$ClassicData[32]),$decimals=1));
	echo('<TD>'.number_format(($Dlog_Data[5]+$Dlog_Data[6]),$decimals=1));	
	echo('<TD>'.number_format(($ClassicData[10]+$ClassicData[37]),$decimals=1));
	echo('<TD>'.number_format(($Dlog_Data[7]+$Dlog_Data[8]),$decimals=1));
	echo('<TD>'.number_format(($ClassicData[11]+$ClassicData[38]),$decimals=1));
//

	echo('<TR><TR><td>Low Battery<TD>'.number_format($Dlog_Data[9],$decimals=1).'</TD>');
	echo('<TD colspan=2>Ahr Consumed<TD>');
	echo($Dlog_Data[1]-$Dlog_Data[2]+$Dlog_Data[7]+$Dlog_Data[8]);	
echo('</table><br>');
echo('Solar 1 AUX 1 = '.$AX1[2].'  '.$AX1[3].'  '.$AX1[0].'<br>');
echo('Solar 1 AUX 2 = '.$AX1[4].'  '.$AX1[5].'  '.$AX1[1].'<br>');
echo('Solar 2 AUX 1 = '.$AX2[2].'  '.$AX2[3].'  '.$AX2[0].'<br>');
echo('Solar 2 AUX 2 = '.$AX2[4].'  '.$AX2[5].'  '.$AX2[1].'<br>');
?>

</body></html>

